.TH CERTCREATE "1"
.SH NAME
certcreate \- generate self-signed X.509 certificates
.SH SYNOPSIS
.B certcreate
[\fB\-q\fR]
[\fB\-C\fR \fICOUNTRY\fR]
[\fB\-s\fR \fISTATE\fR]
[\fB\-c\fR \fICITY\fR]
[\fB\-o\fR \fIORGANIZATION\fR]
[\fB\-u\fR \fIUNIT\fR]
[\fB\-h\fR \fIHOSTNAME\fR]
[\fB\-e\fR \fIEMAIL\fR]
[\fB\-f\fR \fIFILENAME\fR]
[\fB\-S\fR \fISERIAL\fR]
.SH DESCRIPTION
.B certcreate
generates an X.509 certificate with a subject determined according to the parameters supplied.
The generated certificate will be self-signed.
.SH OPTIONS
.HP
\fB\-q\fR, \fB\-\-quiet\fR
.TP
\fB\-C\fR, \fB\-\-country=\fR
[default: US]
.TP
\fB\-s\fR, \fB\-\-state=\fR
[default: New York]
.TP
\fB\-c\fR, \fB\-\-city=\fR
[default: New York]
.TP
\fB\-o\fR, \fB\-\-organization=\fR
[default: Divmod LLC]
.TP
\fB\-u\fR, \fB\-\-unit=\fR
[default: Security]
.TP
\fB\-h\fR, \fB\-\-hostname=\fR
[default: divmod.com]
.TP
\fB\-e\fR, \fB\-\-email=\fR
[default: support@divmod.org]
.TP
\fB\-f\fR, \fB\-\-filename=\fR
Name of the file to which to write the PEM. [default:
server.pem]
.TP
\fB\-S\fR, \fB\-\-serial\-number=\fR
[default: 1]
.TP
\fB\-\-version\fR
Display Twisted version and exit.
.TP
\fB\-\-help\fR
Display this help and exit.
